:root {
    --whitetone: #f8f5f1;
    --steel: #6b7a7f;
    --terracotta: #c06a50;
    --sage: #9a8b6f;
    --blacktone: #2c3a40;
    --border: #e8e5e1;

}

main {
    max-width: 1000px;
    margin: 0 auto;
    padding: 2rem 1rem 3rem;


}
.product-details {
    display: flex;
    align-items: self-start;
    gap: 2.2rem;
    padding: 2rem 2rem;
    border: 1px solid var(--border);
    border-radius: 15px;
    margin-bottom: 2.5rem;
    box-shadow: 0, 25px var(--blacktone);

}

.product-image img {
    width: 320px;
    height: 320px;
    border-radius: 10px;
    object-fit: cover;
    background-color: var(--border);
}

.product-info {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.product-info h1 {
    margin-bottom: 0.5rem;
    color: var(--blacktone);
    font-size: 2rem;
}

.product-info p:nth-of-type(1) {
    color: var(--steel);
    font-size: 1rem;
    line-height: 1.7rem;

}

.product-info p:nth-of-type(2) {
    color: var(--blacktone);
    font-size: 1.3rem;
    font-weight: 500;
     
}

.product-variants {
    margin-top: 1.2rem;

}
.product-variants h2 {
    margin-bottom: 0.7rem;
    color: var(--blacktone);
    font-size: 1rem;
}

#thumbs {
    display: flex;
    flex-wrap: wrap;
    gap: 0.8rem;
}

.variant-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.25rem;
    background: var(--border);
    border: 1px solid var(--border);
    border-radius: 0.5rem;
    padding: 0.4rem 0.4rem 0.4rem;
}
.variant-item img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 0.4rem;
    background: var(--whitetone);
} 

.variant-item p{
    color: var(--blacktone);
    text-align: center;
    font-size: 0.8rem;
}

form[action="cart_process.php"] {
     margin-top: 0.5rem;
     text-align: center;
}

form[action="cart_process.php"] button {
    background: var(--terracotta);
    color: var(--whitetone);
    border: none;
    border-radius: 0.3rem;
    font-weight: 600;
    font-size: 1rem;
    padding: 0.8rem 2rem;
}
form[action="cart_process.php"] button:hover{
     background: var(--steel);
}


@media (max-width: 720px) {
    .product-image img {
        width: 100%;
        height: auto;
    }

    .product-details {
        flex-direction: column;
        align-items: stretch;
    }
}